From dad123b835d99a012c29e908026b4ccf1b259910 Mon Sep 17 00:00:00 2001
From: Louis Bettens <louis@bettens.info>
Date: Sat, 30 Nov 2013 20:52:49 +0100
Subject: [PATCH 3/5] bts: replace call to date -R with strftime()

---
 scripts/bts.pl | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/scripts/bts.pl b/scripts/bts.pl
index ba4929f..80003df 100755
--- a/scripts/bts.pl
+++ b/scripts/bts.pl
@@ -61,6 +61,9 @@ use Getopt::Long;
 use Encode;
 
 use Scalar::Util qw(looks_like_number);
+use POSIX qw(locale_h strftime);
+
+setlocale(LC_TIME, "C"); # so that strftime is locale independent
 
 # Funny UTF-8 warning messages from HTML::Parse should be ignorable (#292671)
 $SIG{'__WARN__'} = sub { warn $_[0] unless $_[0] =~ /^Parsing of undecoded UTF-8 will give garbage when decoding entities/; };
@@ -2521,8 +2524,7 @@ sub send_mail {
     my $fromaddress = $fromaddresses[0];
     # Message-ID algorithm from git-send-email
     my $msgid = sprintf("%s-%s", time(), int(rand(4200)))."-bts-$fromaddress";
-    my $date = `date -R`;
-    chomp $date;
+    my $date = strftime "%a, %d %b %Y %T %z", localtime;
 
     my $message = fold_from_header("From: $from") . "\n";
     $message   .= "To: $to\n" if length $to;
-- 
1.8.4.3

